[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-ID: <20140930195004.GB5803@wallace>
Date: Tue, 30 Sep 2014 15:50:04 -0400
From: Eric Whitney <enwlinux@...il.com>
To: fstests@...r.kernel.org
Cc: linux-ext4@...r.kernel.org
Subject: [PATCH] shared/272: fail quickly on mkfs errors and improve logging
272 will log diagnostic information if it fails to make its scratch file
system, but the test itself won't fail immediately. If the scratch
device had previously contained a valid filesystem, and the attempt to
make a small scratch file system on it fails, 272 will mount and run on
the pre-existing file system (as seen during ext4 inline data testing).
Since 272 tests to ENOSPC, it can take a long time to learn mkfs failed.
This behavior can also lead to invalid positive test results unless
272.full is examined separately.
Signed-off-by: Eric Whitney <enwlinux@...il.com>
---
tests/shared/272 | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/tests/shared/272 b/tests/shared/272
index 4417535..9695e59 100755
--- a/tests/shared/272
+++ b/tests/shared/272
@@ -87,8 +87,11 @@ _supported_os Linux
_need_to_be_root
_require_scratch
-_scratch_mkfs_sized $((64 * 1024 * 1024)) >> $seqres.full 2>&1
-_scratch_mount
+rm -f $seqres.full
+
+_scratch_mkfs_sized $((64 * 1024 * 1024)) >> $seqres.full 2>&1 \
+ || _fail "mkfs failed"
+_scratch_mount >> $seqres.full 2>&1 || _fail "mount failed"
if ! _workout; then
echo "workout failed"
--
1.9.1
--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Powered by blists - more mailing lists